版本历史

=======================================================================
2008-05-23 19:30  v1.0.7.2
=======================================================================
1. 进一步改进联络人一键排序算法，能够自动识别用户iPhone的联络人设置，完
   善联络人排序的准确程度，同时解决相同姓的联络人排序不连续的问题。

2. 修正新闻订阅中会下载乱码新闻的问题，进一步改进新闻订阅的订阅速度。

3. 新闻订阅中增加网站推荐，为用户提供一些RSS内容的分类资源，方便用户搜索
   和订阅。

4. 修正电子书导入时电子书分类错误的问题。

5. 改进壁纸编辑中裁减框的定位，将鼠标定位在裁减框的中心，方便用户裁减。

6. 壁纸管理增加还原按钮。

7. 壁纸管理细化显示放大缩小比率，允许用户自定义缩放百分比。

8. 新闻订阅增加对用户自定义频道的图片解析，能够显示自定义频道的图片了。

9. 守护程序升级，修正读取plist文件可能会改变该文件Owner的问题。

10.其他问题修正。

=======================================================================
2008-05-16 19:30  v1.0.7.1
=======================================================================
1. 修正某些计算机中无法打开系统维护中的『Firewall』，提示出错的问题。

2. 修正没有安装P-Firewall的iPhone，点击iPhone PC Suite上的『Firewall』
   按钮没有反应的问题。

3. 修正1.1.3、1.1.4用iPhone PC Suite发送短信后不会在iPhone中记录发送内
   容的问题。

4. 修正『数据备份』中的自定义备份项目的“添加”、“移除”按钮没有显示的
   问题。

5. 修正通过『新闻订阅』采集的新闻在包含图片时，有可能在 Panda Reader 中
   阅读时最后的几行文字会被遮蔽的问题。

6. 修正通过『iPod』管理添加音乐专辑封面会导致其他音乐的专辑封面混乱的问
   题。

7. 『iPod』添加专辑封面时新增可以将专辑封面设置到所有同一专辑的音乐中。

8. 『iPod』新增音乐信息（含专辑封面）批量设置功能。

9. 『iPod』新增音乐搜索功能，按歌曲名称、专辑名称、歌手名称进行快速定
   位。

10.『iPod』新增在线搜索专辑封面功能。

11.『新闻订阅』新增网龙 Dev. Team Blog频道、English Channels。

12.『新闻订阅』新增分类编辑与频道编辑功能。

13.进一步改进『新闻订阅』新闻采集方式，更快、更可靠的新闻采集。

14.新增连线截图功能，能够直接在PC上截取iPhone上的屏幕，包括在iPhone锁屏、
   弹出对话框、屏幕不可操作时，都还可以进行截屏操作。但暂时不支持OpenGL、
   视频的屏幕截取。

15.『备份还原』增加对壁纸的备份、还原。

16.守护程序升级，进一步改善稳定程序，增加截屏支持，修正安装PXL程序时，如
   果iPhone中已经存在相同版本的软件的情况下，不会真正安装的问题。

17.一键排序补丁修正以下文字识别：迤(YI)，荀(XUN)，改进一键排序的正确性，
   一键排序时将根据用户iPhone中设置的联络人显示顺序来排序，请保持iPhone
   设置中联络人显示顺序和排序顺序的一致。

18.自动更新程序升级，增加状态栏气泡提示，增加检测到有新的更新包后提示是
   否开始下载，而不是直接下载更新包。

19.其他改进，问题修正。


=======================================================================
2008-05-09 19:30  v1.0.7.0
=======================================================================
1. iPod管理中新增允许直接将iPhone中的音乐设定为来电铃声的功能。

2. 进一步改善『联络人』中『一键排序』补丁的稳定性和正确性，修正在没有填
   写联络人姓名时，可能导致该联络人在iPhone中不可见等的问题。

3. 『程序管理』改进：已安装程序按照程序名称排序。

4. 『程序管理』改进：从本地安装PXL时，允许多选，同时安装多个PXL文件。

5. 『数据备份、还原』改进：增加股票、地图、地图缓存、语音邮件、天气、
   WebClips、WorldClock、YouTube、Wifi设置、Installer源的备份、还原。

6. 『新闻订阅』改进：增加自定义频道、自定义RSS的功能。

7. 『新闻订阅』改进：自动裁减下载的新闻图片，以适应iPhone尺寸，提高阅读
   效果 。

8. 『新闻订阅』改进：提高新闻采集效率，改进更新内容提示，其他改进。

9. 『待机壁纸』改进：允许用户直接从内存中粘贴图象到待机壁纸中，同时，不
   符合iPhone尺寸的图片将直接进入编辑模式。

10.『待机壁纸』改进：改善壁纸预览效果，更接近iPhone中的真实效果。

11.『待机壁纸』改进：编辑模式的其他细节改进。

12.『铃声编辑』改进：支持VBR编码的MP3，支持铃声的淡入淡出，其他界面改进。

13.新增『FireWall』，支持从iPhone PC Suite中直接对网龙来电防火墙
   P-FireWall进行管理。

14.守护程序升级，降低内存占用率，进一步提高兼容性和稳定性。


=======================================================================
2008-04-25 22:30  v1.0.6.1
=======================================================================
1. 改善『程序管理』易用性，增加软件安全级别判断，对可能引起iPhone当机的
   软件给予提醒，减少用户的误安装。

2. 增加从『通话记录』和『短信』中提取号码添加到联络人功能。

3. 『备忘录』中新增备忘录时增加自动提取备忘录内容填写备忘录标题。

4. 进一步改善联络人排序，使得音近字排序更正确。（需要重新安装一键排序补
   丁）

5. 『新闻订阅』中加入新闻图片支持，能够在Panda Reader中查看到新闻图片。

6. 进一步改善『新闻订阅』显示的效果，更改频道更新时间获取机制，改善下载
   速度。

7. 『新闻订阅』同步完成后，新增详细更新细节显示，方便查看更新内容。

8. 『新闻订阅』中网易新闻新增商业要闻、科技要闻、手机三个频道。

9. iPod专辑封面增加对横屏的支持。

10.修正无法删除iPod音乐或者电影，且删除后添加的内容无法生效的问题。

11.进一步完善iPod的稳定性，修正一些相关问题。



=======================================================================
2008-04-18 17:30  v1.0.6.0
=======================================================================
1. 改善『书签管理』稳定性，修正某些情况下无法在iPhone上添加联络人的问题。

2. 改善『自定闹钟』稳定性，修正某些情况下通过iPhone PC Suite修改闹钟以
   后会导致所有闹钟信息丢失，桌面排序重置的问题。

3. 修正『来电铃声』中双击来电铃声会出现错误的问题。

4. 恢复 1.1.3 中添加中文铃声的处理方法。新增添加铃声的时候允许同时添加多
   首。

5. 『待机壁纸』编辑功能增加旋转、翻转功能。

6. 增加『新闻订阅』功能，支持新浪、网易新闻订阅。订阅后的新闻保存在
   Panda Reader的Panda News目录下，可以通过Panda Reader或者EBooks查看。

7. 『iPod』管理增加对音乐专辑封面的支持，允许用户添加、删除音乐封面。但
   暂不支持横屏时的音乐封面显示。

8. 『iPod』管理中，增加专辑封面缩略图查看方式。

9. 新增『铃声编辑』功能，允许用户自己截取mp3作为自己的来电铃声。

10. 对于Ziphone破解但是没有打上修复补丁的iPhone，在显示提示信息的同时，
   将打开一个修复教程的网页，帮助用户Step By Step的修复此问题。

11.『程序管理』中增加对用户iPhone版本判断，在安装与iPhone版本不匹配的软
   件时将予以提示。

12.增加英文语言包。

13.网龙来电防火墙P-FireWall 1.0.0 RC2 和 网龙Office阅读器 P-OfficeViewer
   1.0.0 RC1 同时发布。



=======================================================================
2008-03-28 17:30  v1.0.5.0
=======================================================================
1. 主题铃声分类中，新增『自定闹钟』功能，允许用户添加、修改自定义闹钟。

2. 完善『短信聊天』，实现接收到的短信也能够显示在正确的短信聊天窗口，做
   到真正意义上的短信聊天。增加未读短信提醒。

3. 改善待机壁纸图片画质，修正待机壁纸上传壁纸时有可能出现重复图片的问题。

4. 改善『SMB主题』稳定性。

5. 修正删除短信后iPhone上短信数量显示为负数的问题。

6. 修正同步联络人时，部分汉字排序可能会不正确的问题。

7. 修正导入Outlook行事历时，有可能会导致程序崩溃的问题。

8. 守护程序升级，完善短信发送功能，1.1.3和1.1.4发送短信时，能够保存发送
   内容到系统短信数据库中。

9. 改善iPod稳定性，修正iTouch使用iPod管理后iTouch中无法显示音乐，iTunes
   无法识别的问题。修正部分iPhone使用iTouch使用iPod管理后iTouch中无法显
   示音乐，iTunes无法识别的问题。

10.修正添加音乐时如果没有安装编码器，在编码器更新后可能出现错误的问题。

11.添加iPhone不支持的格式的音乐或视频文件时，增加不再提示是否需要转换的
   功能，方便批量转换时使用。

12.添加大于200Kbps音乐时，增加是否进行转换的选项。

13.SMB主题管理中增加启用主题功能，可以在PC上直接启用iPhone上的主题。

14.进一步改善一键排序的正确性。



=======================================================================
2008-03-21 17:30  v1.0.4.0
=======================================================================
1. 主题铃声分类中，新增『待机壁纸』功能，允许用户添加、修改自定义壁纸，
   允许对自定义壁纸进行简单编辑。

2. 『SMB主题』中增加更真实的主题预览功能，能够直观的看到各个主题在iPhone
   上显示出来的效果。

3. 联络人管理中新增允许用户直接导入AddressBook.sqlitedb数据库中联络人
   功能，用户可以在高版本iPhone（1.1.3及以上）中直接导入之前备份的旧版
   本iPhone的联络人数据库了。

4. 『书签管理』中新增导入导出IE收藏夹功能，让Safari书签和IE收藏夹的沟通
   更顺畅简单。

5. 『iPod』管理中增加显示当前音乐、视频文件数量标签。

6. 修正1.1.3中导出来电铃声Error的问题，修正其他版本中删除铃声后，iPhone
   中对应文件没有真正删除的问题。

7. 增加可以独立运行的 iPhone Explorer ，可以直接管理iPhone上的文件，基本
   功能与iPhone PC Suite中的文件管理一致，不依赖与守护进程，可作为简易的
   文件管理工具使用。

8. 其他兼容性、稳定性改善。



=======================================================================
2008-03-18 22:30  v1.0.3.6
=======================================================================
1. 改善守护程序目录迁移功能，以解决在1.1.3以下iPhone中部分软件安装后无
   法运行的问题。

   原先不能运行的软件，如PandaReader；请卸载后重新安装。

2. 放弃1.0.2版本的iPhone在安装软件时进行的目录迁移操作，以解决1.0.2版本
   的iPhone安装的软件无法运行的问题。

3. 修正1.1.4版本的iPhone无法显示和添加自定义来电铃声的问题。

4. 修正照片上传时上传小于1600×1200分辨率的图片会变形的问题，进一步改善
   上传的照片会出现花屏和模糊的问题。

   请在上传图片时尽可能上传同一尺寸的图片，因为iPhone在同时浏览不同尺寸
   的照片时会导致一些图片无法清晰显示。

5. 改善自动更新程序稳定性，更新前增加确认提示。



=======================================================================
2008-03-14 18:00  v1.0.3.5
=======================================================================
1. 电子书管理中对于1.1.3和1.1.4用户增加权限修正功能，以便解决
   Panda Reader中1.1.3和1.1.4用户无法保存阅读记录和解密的问题。

2. 权限重置增加对电子书的权限重置，以便解决Panda Reader中1.1.3和1.1.4用
   户无法保存阅读记录和解密的问题。

3. 新版本 Panda Reader 发布。（程序管理中下载）



=======================================================================
2008-03-14 17:00  v1.0.3.4
=======================================================================
1. 改善照片上传，照片上传中将对上传的照片重新编码为1600*1200，以解决上
   传的照片会花屏甚至当机的问题。

2. 守护程序升级，解决之前版本中由于文件迁移导致iPhone不稳定的问题。

   今后使用PC Suite安装的程序将不再安装到系统空间中，而是直接安装到
   var/root/Library/NetDragon中，以保证用户可以安装更多的程序。

   如果需要让之前安装的程序迁移到此目录下，请先卸载原来安装的软件，重
   新安装即可。

3. 解决1.1.3及以上版本短信无法删除的问题。

4. 改善一键排序的可靠性和兼容性。

5. 修正使用一键排序后，某些iPhone中联络人滑动到底部就退出的问题。
  （重新安装或升级一键排序补丁即可解决）

6. 修正实用一键排序后，某些iPhone中查看不到联络人的问题。
  （重新安装或升级一键排序补丁即可解决）

7. 改善联络人管理的可靠性和稳定性。

8. 改善读取音乐文件Tag信息的可靠性和稳定性。

9. 修正删除播放列表后音乐列表框中仍可操作的问题。

10.修正断开iPhone之后，iPod管理仍可以操作的问题。

11.增加更新后首次运行iPhone PC Suite时询问用户是否在桌面创建快捷方式。

12.改进行事历，以便在新增行事历后，行事历列表能够正确定位到刚才新增的
   行事历上。

13.改善联络人导入iContact文件和vCard文件的可靠性和稳定性。

14.改善守护程序对iSMS和SMSD兼容性，修正守护程序在手机欠费或者没有sim
  卡的情况下发送短信重试的问题。

15.改善AutoUpgrade自动更新程序的可靠性。

16.1.1.4自定义来电铃声恢复支持中文。



=======================================================================
2008-03-07 11:10  v1.0.3.3
=======================================================================
1. 修正数据还原中一些数据还原路径错误的问题。（1.0.3.2发布版本更新时
   遗漏）

2. 1.1.3、1.1.4来电铃声将过滤系统铃声，只显示自定义铃声，且添加的自定
   义铃声添加前缀“Custom_”。



=======================================================================
2008-03-06 19:30  v1.0.3.2
=======================================================================
1. 因为某些会安装到系统目录下的软件使用1.0.3.1后因为目录迁移会导致
   iPhone白苹果的问题，暂时关闭目录迁移功能。

2. 修正1.1.3、1.1.4来电铃声中无法删除自定义铃声，双击铃声会出现Error的
   问题。

3. 修正数据还原中一些数据还原路径错误的问题。

4. 修正一些情况下非1.1.3、1.1.4的用户仍然会显示权限重置的问题。



=======================================================================
2008-03-05 21:00  v1.0.3.1
=======================================================================
1. 修正1.1.3、1.1.4中使用PC Suite之后无法添加、修改联络人、行事历、短
   信、备忘录、Safari书签、照片等的问题。

2. 修正1.1.3、1.1.4中使用PC Suite之后iTunes无法识别iPhone的问题。

3. 增加PyEditor图标主界面中，方便用户调用。

4. 增加针对1.1.3、1.1.4用户的权限重置功能，用于修复使用早前版本后无法
   添加、修改部分数据和iTunes无法识别iPhone的问题。

5. 铃声管理增加对1.1.3、1.1.4用户的支持。（铃声仅能使用英文名称）

6. 修正修改备忘录后直接点击『更新到手机』不会保存修改的内容的问题。

7. 守护进程升级，使用PC Suite安装的程序将不再安装到系统空间中，而是直
   接安装到var/root/Library/NetDragon中，以保证用户可以安装更多的程序。

8. 其他BUG修正。



=======================================================================
2008-02-29 17:30  v1.0.2.0
=======================================================================
1. iPod管理调整数据库更新方式，避免iTunes数据库传输出现中断后数据库损
   坏的问题。

2. iPod管理增加『工具』菜单，增加『修复iTunes资料』功能，当用户的音乐
   在iPhone PC Suite中可以正常查看，却无法在iPhone中查看到时，可以使
   用此功能重建iTunes数据库。

3. 修正 iPhone 中未建立 Safari 书签时，书签管理无法使用的BUG。

4. 增加PyEditor用户自定义码表编辑工具，用户可以通过这个工具自定义一键
   排序的码表，添加一些系统不存在的文字（排序时用户码表优先级大于系统
   码表）。

5. 自动更新程序增加已下载文件与服务器上更新包比对操作，以使用户能够正
   确下载更新包和保持下载的更新包最新。

6. 修正打开短信聊天窗口时同时安装一键排序补丁将会导致联络人丢失的BUG。

7. 一键排序补丁增加以下文字识别：稔、隗、芊、漕、濮、钏、晁、仝。

8. 一键排序补丁修正以下文字识别：甸(Dian)、炮(Pao)。



=======================================================================
2008-02-27 22:30  v1.0.1.0
=======================================================================
1. 修正还原数据时联络人等资料无法还原上去的BUG。

2. 修正繁体中文语言包中的一些遗漏和语言表述。

3. 软件更新方式调整，将编码器和主程序升级包分割，减少编码器没有更新时
   仍要下载庞大的升级包。

4. 联络人的一键排序增加卸载一键排序补丁功能。

5. 修正联络人数据库中存在Pinyin表时仍会提醒用户是否要一键排序补丁的
   BUG。

6. 修正使用iPhone PC Suite编辑联络人资料以后会出现多于字段的问题。

7. 优化联络人管理中删除联络人的速度。

8. 修正当vCalendar文件的主题或备注存在特殊制表符时，导入的行事历在
   iPhone中无法显示的问题。

9. 修正文件管理中重命名文件时可以修改向上按钮".."名称的BUG。

10.修正某些iPod Touch或iPhone中，由于iTunes数据库存在特殊字符而导致
   iPod管理无法识别的问题。

11.修正某些iPod Touch或iPhone中，由于iTunes数据库存在冗余结构信息而导
   致使用iPod管理后，iPhone中看不到音乐的问题。

12.一键排序补丁增加以下文字识别：茆、郄、亓、缪、胥、晏、鑫、逍、伉、
   逯、奚。

13.主界面左下方增加iPhone PC Suite版本显示，增加选中的类别颜色显示。



=======================================================================
2008-02-26 22:00  v1.0.0.12
=======================================================================
1. 修正上传照片时显示进度消息错误的BUG。

2. 增加对 ZiPhone 破解的iPhone的检查，如果没有打上 ZiPhone iBrickr Fix
   补丁的，将不继续安装守护进程。

3. 修正发送繁体中文短消息时对方收到会乱码的BUG。

4. 修正自动更新程序有时候无法下载更新包的BUG。

5. 修正守护进程安装以后OpenSSH以及Term-vt100等无法使用的BUG。

6. 修正文件管理中重命名中文文件名之后，界面刷新错误导致用户看到重名的
   BUG。

7. 修正某些状况下无法识别iPod数据文件的BUG。

8. iPod管理文件菜单下增加『清除无效数据』功能，用于清除残留在iPhone中
   冗余的音乐文件（不在iTune数据库中，却残留在iPhone中的音乐）

9. iPod管理中增加音乐、视频上传、下载时的放弃功能。

10.修正某些情况下打开联络人时会导致程序崩溃的BUG。

11.修正某些情况下导出联络人资料到vCard时会导致程序崩溃的BUG。



=======================================================================
2008-02-22 23:59  v1.0.0.11
=======================================================================
1. 自动更新模块增加多下载源支持，以及多下载源连接速度自动判断，选择最
   快的下载源进行更新下载。

2. 自动更新模块增加下载时“取消”按钮允许用户放弃下载操作。



=======================================================================
2008-02-22 16:40  v1.0.0.10
=======================================================================
1. 文件管理加入在PC端直接设置文件属性以及显示iPhone磁盘空间情况功能。

2. iPod中音频加入音乐文件排序功能，能够让iPhone上的音乐按照音乐汉语读
   音进行排序。

3. iPod中支持导入rmvb等非mp4格式影片，能够进行自动转换，性能调整，BUG
   修正。

4. iPod管理调整，更加准确的mp3信息读取能力，同时导入性能大幅提升。

5. iPod管理增加音乐属性，能够修改音乐名称、表演者、专辑信息。

6. 电子书智能段落重排人工智能优化。

7. 新增Safari书签管理。

8. 程序管理增加对用户iPhone上已经安装的软件是否有新版本的检查更新功能。

9. 其他BUG修改及程序优化。



=======================================================================
2008-02-03 17:40  v1.0.0.9
=======================================================================
1. 电子书管理加入智能段落重排。能够对较复杂的本进行词法分析以便段落重
   排。

2. 联络人加入vCard导入导出功能。

3. 行事历加入vCelendar导入导出功能。

4. 联络人加入直接发送短信功能。部分BUG调整。

5. 短信聊天允许开启多个画面，以便同时向多个联系人发送短消息。

6. 数据备份、还原加入Safari收藏夹和历史纪录备份、还原功能。

7. 来电铃声加入对用户MeCCA文件是否已经破解过的检测按钮，能够帮助用户检
   测是否能够正常使用自定义铃声功能。

8. BUG及细节调整。



=======================================================================
2008-01-31 14:40  v1.0.0.8
=======================================================================
1. 修正进入短信时某些情况下会出现Error的BUG。

2. 文件管理重新调整为资源管理器界面，图标调整，支持文件拖拽。

3. 来电铃声修改，增加对版本低于1.0.2的iPhone的支持。

4. 主画面关闭时调整，避免在较慢的计算机中看到主画面关闭的残影。

5. 自动更新 AutoUpgrade 在下载更新包时增加对超时等网络错误的判断，出
   现下载错误时会提醒用户是否重试。避免程序使用错误的更新包进行升级。

6. 修正文件管理中拖曳文件到Windows之后，无法将文件从Windows中拖拽到
   iPhone的Bug。

7. iPod增加允许用户直接拖曳音乐到Windows中。



=======================================================================
2008-01-30 09:00  v1.0.0.7
=======================================================================
1. 直接执行 AutoUpgrade 检查更新包时，将会显示下载界面，避免用户在通过
   AutoUpgrade 下载更新包时不知道状态。同时 AutoUpgrade 下载更新包时会
   显示剩余字节数。

2. iPod在导入视频时增加对 rmvb 格式视频的支持，同时修正在删除视频时文
   件类型列表定位错误的BUG。

3. 修正备忘录在打开标题和内容均为空的备忘录时会出错的BUG。

4. 电子书增加对html格式文件的处理，能够过滤掉里面的html标签。

5. 程序管理将“添加新程序”和“卸载”按钮移到左下方，方便用户添加和卸
   载iPhone上的程序。

6. 程序管理和问题反馈，增加对网络状态的判断，如果用户在没有连接到网络
   的情况下，将不尝试连接网络，只显示默认无法连接网络的提示画面，避免
   显示404错误。

7. 来电铃声中新增对用户 MeCCA 文件是否已经破解的判断按钮，用户可以自
   行判断该文件是否已经破解，是否可以正常使用自定铃声的功能。同时会对
   用户iPhone版本进行识别，在非1.0.2的iPhone上该按钮才可使用。

8. 关闭手机画面调整，用户在点击关机时，不再直接关机，而是会显示确认关
   机的按钮，供用户确认是否一定要关闭iPhone。




